routes/web.php
<?php


/* --------------------- Common/User Routes START -------------------------------- */

Route::get('/', function () {
    return view('welcome');
});

// Auth::routes([ 'verify' => true ]);

Route::get('/home', 'HomeController@index')->name('home');
Route::get('scrap-data','Admin\HomeController@scrapData');
// Route::get('/merchant/bussiness', 'MerchantController@merchantBussinessName');

/* --------------------- Common/User Routes END -------------------------------- */

/* ----------------------- Admin Routes START -------------------------------- */

Route::prefix('/admin')->name('admin.')->namespace('Admin')->group(function(){

    /**
     * Admin Auth Route(s)
     */
    Route::get('/login','LoginController@showLoginForm')->name('login');
    Route::namespace('Auth')->group(function(){

        //Login Routes
        Route::get('/login','LoginController@showLoginForm')->name('login');
        Route::post('/login','LoginController@login');
        Route::post('/logout','LoginController@logout')->name('logout');

        //Register Routes
        // Route::get('/register','RegisterController@showRegistrationForm')->name('register');
        // Route::post('/register','RegisterController@register');

        //Forgot Password Routes
        Route::get('/password/reset','ForgotPasswordController@showLinkRequestForm')->name('password.request');
        Route::post('/password/email','ForgotPasswordController@sendResetLinkEmail')->name('password.email');

        //Reset Password Routes
        Route::get('/password/reset/{token}','ResetPasswordController@showResetForm')->name('password.reset');
        Route::post('/password/reset','ResetPasswordController@reset')->name('password.update');

        // Email Verification Route(s)
        Route::get('email/verify','VerificationController@show')->name('verification.notice');
        Route::get('email/verify/{id}','VerificationController@verify')->name('verification.verify');
        Route::get('email/resend','VerificationController@resend')->name('verification.resend');





    });
    Route::get('/user', 'UserController@index')->name('user');
    Route::get('/getUserListings', 'UserController@getUserListings')->name('getUserListings');

    Route::get('/merchant', 'MerchantController@index')->name('merchant');
    Route::get('/getMerchantListings', 'MerchantController@getMerchantListings')->name('getMerchantListings');

    Route::get('/settings', 'HomeController@settings')->name('settings');
    Route::post('/updateSettings', 'HomeController@updateSettings')->name('updateSettings');

    Route::get('/dashboard','HomeController@index')->name('home');

    //Put all of your admin routes here...

    Route::get('/merchant/bussiness', 'MerchantController@merchantBussinessName')->name('merchant');

});

/* ----------------------- Admin Routes END -------------------------------- */

resources/views/inc/navbar.blade.php
@if(Auth::guard('admin')->check())
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <div class="sidebar">

        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            
            <div class="info">
                <a href="#" class="d-block">Hello {{ Auth::guard('admin')->user()->name }}</a>
            </div>
        </div>
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item">
                    <a href="{{ route('admin.home') }}" class="nav-link">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>Dashboard</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('admin.settings') }}" class="nav-link">
                        <i class="nav-icon fas fa-user-cog"></i>
                        <p>Settings</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="javasript:void(0)" onclick="event.preventDefault();
                        document.querySelector('#admin-logout-form').submit();" class="nav-link">
                        <i class="nav-icon fas fa-sign-out-alt"></i>
                        <p>Sign Out</p>
                    </a>

                    <form id="admin-logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                </li>



            </ul>
        </nav>

    </div>
</aside>
@endif